Skip to navigation

API · Items · Update a project item

View as Markdown

Partially update a project item as a campaign deliverable moves from planned through generation, review, scheduling, and publication. When changing data, first read the item and send the complete merged data.

Authentication

AuthorizationApi-Key

Header authentication of the form Api-Key <token>

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resourcetypestringRequired
Project type selector
parent_lookup_project_idstringRequired
Parent project ID
idstringRequired

Item ID (UUID)

Request

This endpoint expects an object.
titlestringOptional
descriptionstringOptional
primary_typestringOptional
datamap from strings to anyOptional
Complete flexible JSON data object for the item
start_datedatetime or nullOptional
due_datedatetime or nullOptional
statusstringOptional<=16 characters
priorityintegerOptional

Response

Project item updated

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error